#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum EStreamFramerateLimiter {
    SlowCapture = 1,
    SlowConvert = 2,
    SlowEncode = 4,
    SlowNetwork = 8,
    SlowDecode = 16,
    SlowGame = 32,
    SlowDisplay = 64,
}

impl EStreamFramerateLimiter {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::SlowCapture as i32 => Some(Self::SlowCapture),
            x if x == Self::SlowConvert as i32 => Some(Self::SlowConvert),
            x if x == Self::SlowEncode as i32 => Some(Self::SlowEncode),
            x if x == Self::SlowNetwork as i32 => Some(Self::SlowNetwork),
            x if x == Self::SlowDecode as i32 => Some(Self::SlowDecode),
            x if x == Self::SlowGame as i32 => Some(Self::SlowGame),
            x if x == Self::SlowDisplay as i32 => Some(Self::SlowDisplay),
            _ => None,
        }
    }
}
